{# empty Twig template #}
{#Twig consacré entierment au datatable #}
{% block head %}
    <meta name="description" content="Liste des activités à choisir pour créer une séance">
    <style type="text/css">
        #entityFormGrille_DataTableInfos {
            display: inline-block;
            float: right;
            /*padding-right: 15px;*/
            padding-top: 12px;
        }
        table.dataTable tbody tr, td {
            padding:0;
            height: 18px;
            min-height:10px;
            max-height:10px;
        }
        table.dataTable tbody td{
            padding-top:2px;
            padding-bottom:2px;
        }
        #resize_handle {
            /*LG 20190219 deac position: absolute;*/
            bottom: 0;
            left: 0;
            right: 0;
            cursor: n-resize;
            background-color: lightgrey;
            height: 5px;
            border: 2px outset;
            margin-top: 5px;
            margin-bottom: 10px;
        }
        {# LG 20181218 : surcharges pour spectrum début #}
        .sp-preview {
            height: 15px ;
        }
        .sp-replacer {
            border-radius: 4px ;
        }
        {# LG 20181218 : fin #}
    </style>

{%endblock%}
<table id="entityFormGrille_DataTable" class="display" cellspacing="0" width="100%"  style="">
    <thead>
        <tr id="entityFormGrille_DataTableTitres">
            {% block datatable_title %}
                <th id="iId_Activite" style="display: none">Id</th>
                <th id="cLblActiCourt">Activité</th>
                <th id="nPrevuSem">h. réal.</th>
                <th id="nPrevuSem">h. prévues</th>
                <th id="clblacticourt" style="display:none">row.clblacticourt</th>
                <th id="clblactilong" style="display:none">row.clblactilong</th>
                <th id="icouleur" style="display:none">row.icouleur</th>
			{% endblock %}
        </tr>
    </thead>
    <tbody>
	{% block datatable_body %}
		{% for row in paActivitésRessource %}
			{% if row.lgenerique or row.lestactibasesysteme %}
{#				Pour les activités génériques et les AB système, inutile de calculer les heures faites ni le libellé de l'activité
#}				{% set lcLblActi = row.cnomcourtactibase|trim %}
				{% if row.lgenerique %}
					{% set lcLblActi = "{Générique} " ~ lcLblActi %}
				{% endif %}
				{% if row.lestactibasesysteme %}
					{% set lcLblActi = "{Système} " ~ lcLblActi %}
				{% endif %}
				{% set liHrsPosées = null %}
			{% else %}
				{% set lcLblActi = row.clblacticourt|trim %}
				{% set liHrsPosées = row.inbheuresposees %}
			{% endif %}
			{% if liHrsPosées is null %}
				{% set lsHrsPosées = "-" %}
			{% elseif liHrsPosées == 0 %}
				{% set lsHrsPosées = "" %}
			{% else %}
				{% set lsHrsPosées = liHrsPosées %}
			{% endif %}
			

			{% if psStyleAB == 1 %}
				{# diTypeAffichageActivités_NomCourtActiBase : RAS #}
				
			{% elseif psStyleAB == 2 %}
				{#diTypeAffichageActivités_NomActiBase#}
				{#Nom long de l'activité de base#}
				{% set lcLblActi = lcLblActi|replace({(row.cnomcourtactibase|trim): row.cnomactibase|trim}) %}
				
			{% elseif psStyleAB == 3 %}
				{#diTypeAffichageActivités_NomCourtActiBase_NomSousGroupeActi#}
				{#Inclure le nom du sous-groupe d'activité#}
				{% set lcLblActi = lcLblActi|replace({(row.cnomcourtactibase|trim): row.cnomsousgroupeacti|trim ~ " - " ~ row.cnomcourtactibase|trim}) %}
			
			{% elseif psStyleAB == 4 %}
				{#diTypeAffichageActivités_NomCourtActiBase_NomSousGroupeActi_NomGroupeActi#}
				{#Inclure le nom du groupe d'activité#}
				{% set lcLblActi = lcLblActi|replace({(row.cnomcourtactibase|trim): row.cnomgroupeacti|trim ~ " - " ~ row.cnomsousgroupeacti|trim ~ " - " ~ row.cnomcourtactibase|trim}) %}
			
			{% endif %}

			<tr>
				<td style="display: none">{{ row.iid_activite }}</td> 
{#				<td>{{ row.clblacticourt }}</td> #}
				<td>{{ lcLblActi }}</td> 
{#				<td>{{ row.inbheuresposees }}</td> #}
				<td>{{ lsHrsPosées }}</td> 
				<td>{{ row.nprevusem }}</td> 
				<td id ="clblacticourtChamps" style="display : none">{{ row.clblacticourt }}</td> 
				<td id ="clblactilongChamps" style="display : none">{{ row.clblactilong }}</td>
				<td id ="icouleurChamps" style="display : none">{{ row.icouleur }}</td>
			</tr>

		{% endfor %}
	{% endblock %}
    </tbody>
</table>

{#            <P>{{pres}}{{pdate}}</P>#}